Bug 470497 - blockdev man page missing information
blockdev man page missing information
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: util-linux (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-07 07:45 EST by Karel Volný
Modified: 2011-01-13 18:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 18:44:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Volný 2008-11-07 07:45:27 EST
Description of problem:
There are options which are not documented within the man page.

Version-Release number of selected component (if applicable):
blockdev (util-linux 2.13-pre7)

How reproducible:
always

Steps to Reproduce:
1. blockdev --help
2. man blockdev
  
Actual results:
# blockdev --help
Usage:
  blockdev -V
  blockdev --report [devices]
  blockdev [-v|-q] commands devices
Available commands:
        --getsz (get size in 512-byte sectors)
        --setro (set read-only)
        --setrw (set read-write)
        --getro (get read-only)
        --getss (get sectorsize)
        --getbsz        (get blocksize)
        --setbsz BLOCKSIZE      (set blocksize)
        --getsize       (get 32-bit sector count)
        --getsize64     (get size in bytes)
        --setra READAHEAD       (set readahead)
        --getra (get readahead)
        --flushbufs     (flush buffers)
        --rereadpt      (reread partition table)
        --rmpart PARTNO (disable partition)
        --rmparts       (disable all partitions)


man blockdev:

BLOCKDEV(8)                                                        BLOCKDEV(8)

NAME
       blockdev - call block device ioctls from the command line

SYNOPSIS
       blockdev [options] commands devices

DESCRIPTION
       The utility blockdev allows one to call block device ioctls from the command line.

OPTIONS
       -V     Print version and exit.

       -q     Be quiet.

       -v     Be verbose.

COMMANDS
       --setro
              Set read-only.

       --setrw
              Set read-write.

       --getro
              Get read-only. Print 1 if the device is read-only, 0 otherwise.

       --getss
              Print sectorsize in bytes - usually 512.

       --getsize
              Print device capacity (in 512-byte sectors).

       --setra N
              Set readahead to N 512-byte sectors.

       --getra
              Print readahead (in 512-byte sectors).

       --flushbufs
              Flush buffers.

       --rereadpt
              Reread partition table.

                                   May 2000                        BLOCKDEV(8)



Expected results:
# blockdev --help
Usage:
  blockdev -V
  blockdev --report [devices]
  blockdev [-v|-q] commands devices
Available commands:
        --getsz (get size in 512-byte sectors)
        --setro (set read-only)
        --setrw (set read-write)
        --getro (get read-only)
        --getss (get sectorsize)
        --getbsz        (get blocksize)
        --setbsz BLOCKSIZE      (set blocksize)
        --getsize       (get 32-bit sector count)
        --getsize64     (get size in bytes)
        --setra READAHEAD       (set readahead)
        --getra (get readahead)
        --flushbufs     (flush buffers)
        --rereadpt      (reread partition table)
        --rmpart PARTNO (disable partition)
        --rmparts       (disable all partitions)


man blockdev:

BLOCKDEV(8)                                                        BLOCKDEV(8)

NAME
       blockdev - call block device ioctls from the command line

SYNOPSIS
       blockdev [options] commands devices

DESCRIPTION
       The utility blockdev allows one to call block device ioctls from the command line.

OPTIONS
       -V     Print version and exit.

       -q     Be quiet.

       -v     Be verbose.

COMMANDS
       --setro
              Set read-only.

       --setrw
              Set read-write.

       --getbsz
              Get blocksize.

       --getro
              Get read-only. Print 1 if the device is read-only, 0 otherwise.

       --getss
              Print sectorsize in bytes - usually 512.

       --getsz
              Get size in 512-byte sectors.

       --getsize
              Print device capacity (in 512-byte sectors).

       --getsize64
              Print device capacity (in bytes).

       --setbsz BLOCKSIZE
              Set blocksize.

       --setra N
              Set readahead to N 512-byte sectors.

       --getra
              Print readahead (in 512-byte sectors).

       --flushbufs
              Flush buffers.

       --rereadpt
              Reread partition table.

       --rmpart PARTNO
              Disable partition.

       --rmparts
              Disable all partitions.

                                   May 2000                        BLOCKDEV(8)


Additional info:
Comment 1 RHEL Product and Program Management 2009-04-07 14:36:58 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 errata-xmlrpc 2011-01-13 18:44:10 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0085.html

Note You need to log in before you can comment on or make changes to this bug.